Skip to content

Update supplierclient ​

PUT
/v1/suppliers/supplierclient/{supplierclient_id}

Update supplierclient

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

supplierclient_id*

XS2event ID of the Supplierclient

Type
string
Required

Request Body​

application/json
JSON
{
  
"supplier_id": "string",
  
"email": "string",
  
"label": "string",
  
"client_status": "string",
  
"roles": [
  
  
"string"
  
]
}

Responses​

OK

application/json
JSON
{
  
"supplierclient_id": "string",
  
"supplier_id": "string",
  
"email": "string",
  
"client_status": "string",
  
"roles": [
  
  
"string"
  
],
  
"label": "string",
  
"created": null,
  
"updated": null,
  
"deleted": null
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​